$(document).ready(function() {
		$(".country-dd-open").click(function(){
			$('.country-dd-open').addClass('country-dd-opened');
			$('.select-country').addClass('selectedCountry');
    		$('#dvSearchResultForCountry').slideDown();
			$('.select-country-popup').css('border','2px solid #06AF4B');
			
		});
		
		$('#dvSearchResultForCountry a').click(function() {
			var flagspan=$(this).find('span.flag-square');
				var countryspan=flagspan.next();
			var flagclass=$(flagspan).get(0).className;
			$('#countryFlag')[0].className = '';
			$('#countryFlag').addClass(flagclass);
			$('#txtCountry').val(countryspan.text().trim());
		//	$('txtCountry').text(countryspan.text());
			//$('#dvSearchResultForCountry').slideUp();
			$('.country-dd-open').removeClass('country-dd-opened');
			$('.select-country').removeClass('selectedCountry');
			$('#dvSearchResultForCountry').slideUp();
			});
			
		$(".select-country").mouseleave(function(){
			$('.country-dd-open').removeClass('country-dd-opened');
			$('.select-country').removeClass('selectedCountry');
    		$('#dvSearchResultForCountry').slideUp();
			
		});
			
		$('#linkNext1').click(function(){
				$('#step1').removeClass('working');
				$('#step2').removeClass('incomplete');
				$('#step2').addClass('working');
				$('#step3').addClass('incomplete');
				$('#lnkEdit2').hide();
				$('#lnkEdit1').show();
				$('#sendWhere').slideUp();
				$('#howMuch').slideDown();
				$('#step1').addClass('done_item');
				
			});
			$('#linkNext2').click(function(){
				$('#step1').removeClass('working');
				$('#step2').removeClass('working');
				$('#step2').addClass('done_item');
				$('#step3').removeClass('incomplete');
				$('#step3').addClass('working');
				$('#lnkEdit2').show();
				$('#howMuch').slideUp();
				$('#howtoPay').slideDown();
				
			});
			$('#lnkEdit1').click(function(){
				$('#step1').addClass('working');
				$('#step1').removeClass('done_item');
				$('#step2').removeClass('working');
				$('#step3').addClass('incomplete');
				$('#step3').removeClass('working');
				$('#sendWhere').slideDown();
				$('#lnkEdit1').hide();
				$('#lnkEdit2').show();
				$('#howMuch, #howtoPay').slideUp();
								
			});
			$('#lnkEdit2').click(function(){
				$('#step1').removeClass('working');
				$('#step2').addClass('working');
				$('#step3').addClass('incomplete');
				$('#step3').removeClass('working');
				$('#lnkEdit1').show();
				$('#lnkEdit2').hide();
				$('#howMuch').slideDown();
				$('#sendWhere, #howtoPay').slideUp();
								
			});
			$('.select-sim-box .select-sim span').click(function(){
					$(this).parents('.select-sim-box .sim-bdR').find('.selected-sim').removeClass('selected-sim');
					$(this).parents('.select-sim').addClass('selected-sim');	
				});

});	
